> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Post sessions



## OpenAPI

````yaml /openapi.json post /sessions
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /sessions:
    post:
      tags:
        - Session
      operationId: post-sessions
      requestBody:
        content:
          application/json; charset=utf-8:
            schema:
              $ref: '#/components/schemas/CreateSessionRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/SessionResponse'
        '400':
          description: ''
        '403':
          description: ''
        '404':
          description: ''
components:
  schemas:
    CreateSessionRequest:
      type: object
      title: CreateSessionRequest
      required:
        - title
        - metadata
        - session_type
      properties:
        title:
          type: string
        metadata: {}
        workspace_id:
          type: string
          format: uuid
        target_language:
          type: string
        session_type:
          type: string
        ingest_method:
          type: string
        source_file_name:
          type: string
    SessionResponse:
      type: object
      title: SessionResponse
      required:
        - id
        - title
        - metadata
        - created_at
        - updated_at
        - workspace_id
        - session_type
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        metadata: {}
        created_at:
          type: string
        updated_at:
          type: string
        workspace_id:
          type: string
          format: uuid
        workspace_name:
          type: string
        workspace_type:
          type: string
        target_language:
          type: string
        session_type:
          type: string
        ingest_method:
          type: string
        source_file_name:
          type: string

````